# TODO: enable pulseaudio support

Summary:       The Enlightenment window manager, DR16
Name:          e16
Version:       0.16.8.13
Release:       2%{?dist}
License:       MIT with advertising and GPLv2+
Group:         User Interface/Desktops
URL:           http://www.enlightenment.org/
Source:        http://downloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.gz
BuildRequires: imlib2-devel freetype-devel xorg-x11-xbitmaps
BuildRequires: esound-devel alsa-lib-devel audiofile-devel
BuildRequires: libXrandr-devel libSM-devel xorg-x11-proto-devel
BuildRequires: libXfixes-devel libXrender-devel libXdamage-devel
BuildRequires: libXcomposite-devel libXft-devel libXxf86vm-devel
BuildRequires: pango-devel dbus-devel
Requires:      bitstream-vera-fonts
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Enlightenment is a window manager for the X Window System that is
designed to be powerful, extensible, configurable and pretty darned
good looking! It is one of the more graphically intense window
managers.

Enlightenment goes beyond managing windows by providing a useful and
appealing graphical shell from which to work. It is open in design and
instead of dictating a policy, allows the user to define their own
policy, down to every last detail.

This package will install the Enlightenment window manager, development
release 16.

%prep
%setup -q

%build
%configure --enable-pango
%{__make} %{?_smp_mflags}
for f in ChangeLog AUTHORS ; do
    mv $f $f.iso88591
    iconv -o $f -f iso88591 -t utf8 $f.iso88591
    rm -f $f.iso88591
done


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
%{__rm} -f %{buildroot}%{_libdir}/%{name}/libhack*.{a,la} 
%{__chmod} 0644 %{buildroot}%{_datadir}/%{name}/themes/winter/ABOUT/MAIN
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/themes/winter/ttfonts
%{__ln_s}  ../../../fonts/bitstream-vera %{buildroot}%{_datadir}/%{name}/themes/winter/ttfonts
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, -) 
%doc AUTHORS COPYING ChangeLog README docs/README-0.16.8
%{_bindir}/e*
%{_bindir}/starte16
%{_libdir}/%{name}/libhack.so
%{_datadir}/%{name}
%{_datadir}/xsessions/*

%changelog
* Fri May  2 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.13-2
- Rebuild

* Fri May  2 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.13-1
- 0.16.8.13

* Tue Mar 27 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.12-3
- Disable dbus

* Mon Mar 24 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.12-2
- Really fix license

* Sun Mar 23 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.12-1
- 0.16.8.12
- fix license (thanks spot and kevin!)
- enable dbus and pango
- simplity setup and modify desc
- try to preserve timestamps

* Wed Oct 17 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.10-1
- 0.16.8.10
- libhack has moved to e16 subdir

* Mon Sep 17 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.9-2
- Add GPLv2+ to license
- Add some X devel package to buildreq
- Fix encoding on ChangeLog and AUTHORS
- Use fonts included in bitstream-vera-fonts

* Mon Aug 20 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.16.8.9-1
- Initial build (based on upstream spec, thanks!)
